# Uses of Interface
javafx.concurrent.Worker

Packages that use Worker
Package
Description
javafx.concurrent
Provides the set of classes for javafx.task.
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of Worker in javafx.concurrent

Classes in javafx.concurrent that implement Worker
Modifier and Type
Class
Description
`class`
`ScheduledService<V>`
The ScheduledService is a `Service` which will automatically restart itself after a successful execution, and under some conditions will restart even in case of failure.
`class`
`Service<V>`
A Service is a non-visual component encapsulating the information required to perform some work on one or more background threads.
`class`
`Task<V>`
A fully observable implementation of a `FutureTask`.
Methods in javafx.concurrent that return Worker
Modifier and Type
Method
Description
`Worker`
WorkerStateEvent.`getSource()`
The Worker on which the Event initially occurred.
Constructors in javafx.concurrent with parameters of type Worker
Modifier
Constructor
Description
``
`WorkerStateEvent(Worker worker, EventType<? extends WorkerStateEvent> eventType)`
Create a new WorkerStateEvent.

## Uses of Worker in javafx.scene.web

Methods in javafx.scene.web that return Worker
Modifier and Type
Method
Description
`final Worker<Void>`
WebEngine.`getLoadWorker()`
Returns a `Worker` object that can be used to track loading progress.